## org.apache.myfaces.custom.tree.renderkit.html
Class HtmlTreeNodeRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
                  org.apache.myfaces.custom.tree.renderkit.html.HtmlTreeNodeRenderer

public class HtmlTreeNodeRenderer
extends HtmlLinkRendererBase

Version:
  $Revision: 169651 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Oliver Rossmueller

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`URL_STATE_MARKER, URL_STATE_MARKER_LEN`

Constructor Summary
`HtmlTreeNodeRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`encodeBegin, encodeChildren, encodeEnd, getRendersChildren, getStyle, getStyleClass, renderCommandLinkStart, renderJavaScriptAnchorStart, renderLinkEnd, renderNonJavaScriptAnchorStart, renderOutputLinkStart`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTreeNodeRenderer

    public HtmlTreeNodeRenderer()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `HtmlLinkRendererBase`